<?php
	// 不正アクセスチェック
	require_once '../popups/wysiwyg_access_check.php';
	include '../src/function_cms.php';
	$conn = init_sqlite();
	
	// 入力チェック
	if (!filter_var($_POST["e_mail"], FILTER_VALIDATE_EMAIL)) {
		$loc = 'Location:install.php?err=1';
		header($loc);
		exit;
	}
	// 通知先メールアドレスの設定
	$sql = 'SELECT * FROM user_info';
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$id				= $row["id"];
		$login_name		= $_POST["e_mail"];
		$dest_e_mail	= $_POST["e_mail"];
		$login_password	= NULL;
		update_user_info($conn, $id, $login_name, $login_password, $dest_e_mail);
	}else{
		$login_name		= $_POST["e_mail"];
		$dest_e_mail	= $_POST["e_mail"];
		$login_password	= NULL;
		$id = insert_user_info($conn, $login_name, $login_password, $dest_e_mail);
	}
	// GoogleMap APIキーの設定
	
	$file_fullname = '../src/wysiwyg_google_map_api_js_include.php';
	$file_contents = '<script src="https://maps.googleapis.com/maps/api/js?key='.$_POST["google_map_api_key"].'"></script><!-- // key(APIキー)は「https://cloud.google.com/maps-platform/」で取得してください（ここに記載されているAPIキーは使用できません）。 -->';
	$rtn = file_put_contents($file_fullname, $file_contents);
	
	// FaceBook App ID(アプリID)の設定
	$file_fullname = '../src/appid.php';
	$file_contents = $_POST["facebook_appid"];
	$rtn = file_put_contents($file_fullname, $file_contents);
	
	unlink("./install.php");
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>インストール</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="normalmsg2">インストールが完了しました。</div>
<br class="clear_both">
<span class="aka">※セキュリティ確保のため「admin/install.php」は削除されました。<br>
再度実行する場合は「admin/install.php」をアップロードしてください。</span>
<br>
</body>
<script>window.focus();</script>
</html>
